org.apache.ignite.internal.processors.cache.query.continuous

## Interface CacheContinuousQueryListener<K,V>

    public interface CacheContinuousQueryListener<K,V>

Continuous query listener.

### Method Summary

Methods
`void` `acknowledgeBackupOnTimeout(GridKernalContext ctx)`
`void` `cleanupBackupQueue(Map<Integer,Long> updateCntrs)` Cleans backup queue.
`void` `flushBackupQueue(GridKernalContext ctx, AffinityTopologyVersion topVer)` Flushes backup queue.
`boolean` `keepBinary()`
`boolean` `notifyExisting()`
`boolean` `oldValueRequired()`
`void` `onEntryUpdated(org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEvent<K,V> evt, boolean primary, boolean recordIgniteEvt, GridDhtAtomicAbstractUpdateFuture fut)` Entry update callback.
`void` `onExecution()` Query execution callback.
`void` `onPartitionEvicted(int part)`
`void` `onUnregister()` Listener unregistered callback.
`void` `skipUpdateEvent(org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEvent<K,V> evt, AffinityTopologyVersion topVer, boolean primary)`

### Method Detail

#### onExecution

    void onExecution()

Query execution callback.

#### onEntryUpdated

    void onEntryUpdated(org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEvent<K,V> evt,
                      boolean primary,
                      boolean recordIgniteEvt,
                      @Nullable
                      GridDhtAtomicAbstractUpdateFuture fut)

Entry update callback.

Parameters:
  `evt` - Event
  `primary` - Primary flag.
  `recordIgniteEvt` - Whether to record event.
  `fut` - Dht atomic future.

#### onUnregister

    void onUnregister()

Listener unregistered callback.

#### cleanupBackupQueue

    void cleanupBackupQueue(Map<Integer,Long> updateCntrs)

Cleans backup queue.

Parameters:
  `updateCntrs` - Update indexes map.

#### flushBackupQueue

    void flushBackupQueue(GridKernalContext ctx,
                        AffinityTopologyVersion topVer)

Flushes backup queue.

Parameters:
  `ctx` - Context.
  `topVer` - Topology version.

#### acknowledgeBackupOnTimeout

    void acknowledgeBackupOnTimeout(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

#### skipUpdateEvent

    void skipUpdateEvent(org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEvent<K,V> evt,
                       AffinityTopologyVersion topVer,
                       boolean primary)

Parameters:
  `evt` - Event
  `topVer` - Topology version.
  `primary` - Primary

#### onPartitionEvicted

    void onPartitionEvicted(int part)

Parameters:
  `part` - Partition.

#### oldValueRequired

    boolean oldValueRequired()

Returns:
  Whether old value is required.

#### keepBinary

    boolean keepBinary()

Returns:
  Keep binary flag.

#### notifyExisting

    boolean notifyExisting()

Returns:
  Whether to notify on existing entries.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017